<?php
/**
 * Perfect Blog : Block Patterns
 *
 * @package  Perfect Blog 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'perfect-blog',
		array( 'label' => __( ' Perfect Blog ', 'perfect-blog' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'perfect-blog/banner-section',
		array(
			'title'      => __( 'Banner Section', 'perfect-blog' ),
			'categories' => array( 'perfect-blog' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":310,\"dimRatio\":50,\"minHeight\":550,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\" style=\"min-height:550px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-310\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:50%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"32px\"}}} -->\n<h1 style=\"font-size:32px\">LOREM IPSUM IS SIMPLY DUMMY</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"border\":{\"radius\":\"34px\"}},\"className\":\"banner-section-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:34px\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'perfect-blog/service-section',
		array(
			'title'      => __( 'service-section', 'perfect-blog' ),
			'categories' => array( 'perfect-blog' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section mt-md-3\"} -->\n<div class=\"wp-block-group service-section mt-md-3\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"29px\"}},\"className\":\"mb-md-3 position-relative\"} -->\n<h2 class=\"mb-md-3 position-relative\" style=\"font-size:29px\">THINGS YOU DONT WANNA MISS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"verticalAlignment\":null,\"className\":\"mt-md-5\"} -->\n<div class=\"wp-block-columns mt-md-5\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box position-relative\"><!-- wp:image {\"id\":318,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-318\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-box\"} -->\n<div class=\"wp-block-group cat-box\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"background\":\"#101631c7\"}},\"textColor\":\"white\",\"className\":\"d-inline-block\"} -->\n<h3 class=\"has-text-align-center d-inline-block has-white-color has-text-color has-background\" style=\"background-color:#101631c7;font-size:14px\">CATEGORY TITLE 2</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box position-relative\"><!-- wp:image {\"id\":320,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-320\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-box\"} -->\n<div class=\"wp-block-group cat-box\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"background\":\"#101631c7\"}},\"textColor\":\"white\",\"className\":\"d-inline-block\"} -->\n<h3 class=\"has-text-align-center d-inline-block has-white-color has-text-color has-background\" style=\"background-color:#101631c7;font-size:14px\">CATEGORY TITLE 2</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box position-relative\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box position-relative\"><!-- wp:image {\"id\":321,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-321\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"cat-box\"} -->\n<div class=\"wp-block-group cat-box\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"background\":\"#101631c7\"}},\"textColor\":\"white\",\"className\":\"d-inline-block\"} -->\n<h3 class=\"has-text-align-center d-inline-block has-white-color has-text-color has-background\" style=\"background-color:#101631c7;font-size:14px\">CATEGORY TITLE 2</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"side-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center side-box\"><!-- wp:image {\"align\":\"center\",\"id\":323,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/sidebar.png\" alt=\"\" class=\"wp-image-323\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"},\"color\":{\"text\":\"#101631\"}},\"className\":\"mb-0\"} -->\n<h3 class=\"has-text-align-center mb-0 has-text-color\" style=\"color:#101631;font-size:22px\">Lorem Ipsum</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:15px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}